import Info from './index.vue'

Info.install = function (Vue, store) {
  const Constructor = Vue.extend(Info)
  let instance

  Vue.prototype.$showUserInfo = () => {
    if (instance) {
      document.body.removeChild(instance.$el)
      instance = null
    }

    instance = new Constructor({
      el: document.createElement('div'),
      computed: {
        $store () { return store }
      },
      data () {
        return {
          visible: true
        }
      }
    })

    document.body.appendChild(instance.$el)
  }
}

export default Info
